from typing import List
from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session

from schemas.user import UserSchema
from helpers.user_helpers import get_active_users

router = APIRouter()

@router.get("/testing-code-gen", response_model=List[UserSchema])
async def get_active_users_endpoint(db: Session = Depends()):
    active_users = get_active_users(db)
    return active_users